﻿using System.Windows;

namespace XamRibbon_BindingGallery
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new RibbonViewModel();
        }

        private void ReportButton_Click(object sender, RoutedEventArgs e)
        {
            RibbonViewModel vm = DataContext as RibbonViewModel;
            if (vm != null && vm.selected != null)
            {
                MessageBox.Show("Open Printer Dialog for: " + vm.selected.Key);
            } else
            {
                MessageBox.Show("Please select a report.");
            }
        }
    }
}
